EDIT - task #3320

Correct use of CdmApplicationDefaultConfiguration
02/25/2013 11:47 AM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 33%
Category: cdmlib Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

To me it seems as if the the CdmApplicationDefaultConfiguration is not used in the right way throughout in the cdmlib. This might be
due by the name which has been given to this class. This class actually is the central access point to all cdm api services and thus to
all the entities stored in the cdm. From this point of view this class provides the "repository" view on the cdm which has been
discussed with Ben in December 2009 at the final EDIT General Meeting in Paris. Calling this class a "configuration” is not wrong per
se but it makes only sense if you see it under the aspect of Spring configuration. For an application programmer it actually is the
repository to by which you can access everything.

Related tasks:

1. CdmApplicationDefaultConfiguration should be named like CdmRepository or CdmStore !!! #6419:

2. All classes autowiring any service class should rather be autowiring CdmApplicationDefaultConfiguration wheras the injection
should happen at an abstract base class. #6420

3. CdmloBase must not extend the CdmApplicationDefaultConfiguration, instead inject it as bean, this avoids multiple
instantiations and a lot of unnecessary bean injection and thus would for sure speed up the application context intitialization.

#5393
Subtasks:
task # 6419: CdmApplicationDefaultConfiguration should be named CdmRepository Closed
task # 6420: Autowire CdmApplicationDefaultConfiguration instead of subclasses of ICdmS... New

Related issues:

Related to EDIT - task #5285: Use Vaadin Spring Add-on Closed
Related to EDIT - task #10189: Split CdmApplicationController into repository... Closed
History

#1 - 03/01/2013 11:28 AM - Andreas Kohlbecker

ICdmApplicationConfiguration bean explicitly defined in services.xml, otherwise it is not found somehow : r17232

#2 - 03/01/2013 05:45 PM - Andreas Kohlbecker
Replying to a.kohlbecker:

ICdmApplicationConfiguration bean explicitly defined in services.xml, otherwise it is not found somehow : r17232

trurned back in services.xml by r17243

#3 - 02/14/2017 08:33 AM - Andreas Kohlbecker
- Related to task #5285: Use Vaadin Spring Add-on added

#4 - 02/14/2017 08:49 AM - Andreas Kohlbecker

- Description updated

#5 - 02/14/2017 08:59 AM - Andreas Kohlbecker
- Subject changed from Correct use of CdmApplicationDefaultConfiguration [DISCUSS] to Correct use of CdmApplicationDefaultConfiguration

#6 - 02/14/2017 08:59 AM - Andreas Kohlbecker

- Target version changed from cdmlib - Old Next Major Release to Release 4.7
- Private changed from Yes to No

#7 - 02/14/2017 09:37 AM - Andreas Miiller
- Description updated

#8 - 05/11/2017 11:14 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#9 - 07/06/2017 10:40 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#10 - 07/21/2017 10:36 AM - Andreas Muller

- Target version changed from Release 4.9 to Release 4.10

#11 - 09/24/2017 01:53 AM - Andreas Muller

- Target version changed from Release 4.10 to Release 4.12

#12 - 12/05/2017 02:38 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#13 - 01/31/2018 12:19 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#14 - 02/15/2018 03:16 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#15 - 05/14/2018 11:16 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#16 - 06/27/2018 02:24 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#17 - 08/17/2018 03:45 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#18 - 09/06/2018 09:57 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#19 - 10/23/2018 11:24 AM - Andreas Muller

- Target version changed from Release 5.4 to Release 5.5

#20 - 02/14/2019 10:28 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#21 - 02/19/2019 05:39 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#22 - 11/24/2022 06:14 PM - Andreas Miiller
- Related to task #10189: Split CdmApplicationController into repository and application part added

#23 - 02/15/2024 12:08 AM - Andreas Miller

- Description updated
